--[[
	MetaGuildDebug.lua
		All Functions for displaying and updating the Debug Tab
--]]
local MG = LibStub('AceAddon-3.0'):GetAddon('MetaGuild')
local L = LibStub("AceLocale-3.0"):GetLocale("MetaGuild");
local self = MG
local initTimeCode = self:GetCurrentTimeCode()

function MetaGuildDebugFrame_OnLoad(self)
	return
end

function MetaGuildDebugFrame_OnEvent(self, event, ...)
--	if ( not self:IsShown() ) then
--		return;
--	end
end

function MetaGuildDebugFrame_OnShow(self)
	return
end


function MetaGuildTestUpdate()
	--self:Print("Updating")
	self:SendUpdate()
end

function MetaGuildTestJoin()
	--self:Print("Joining")
	self:SendJoin()
end

function MetaGuildTestTime()
	local diffDate = self:TimeSinceTimeCode(initTimeCode)
	self:Print("Time: "..self:Date2String(diffDate))
end

function MetaGuildTestFormat()

--Expression Helpers
--local joinstring = format(self:CreateMsgTemplate(7), "JOIN", "(.+)", "(%a+)", "(.+)", "(%d%d?)", "(.+)", "(.*)");
--local first, last, main, class, classLocal, level, zone, rank = string.find(msg, joinstring);


--(%a+)   Find all letters
--(.+)    Find everything
--(%d%d?) Find double digit numbers
--(%d+)   Find all numbers


	--local msg = "The Killers"
	--local pattern = {[0]="(.+)", [1]="(%a+)", [2]="(%d%d%d)", [3]="(%l+)", [4]="(%d+)"}
	--local first, last, result = string.find(msg,pattern[0])
	--if first ~= nil and result ~= nil then
	--	self:Print("Format Result: "..result)
	--else
	--	self:Print("Format Result: nil")
	--end
	
	
	
	
	self:Print("KICK-GuildName: "..self.db.realm.guildName)
	self:Print("KICK-GuildChannel: "..self.db.realm.guildChannel)
	self:Print("KICK-GuildPassword: "..self.db.realm.guildPassword)
	--local playerName = "Bob"
	local msg = format(self:CreateMsgTemplate(7), "KICK", playerName, UnitName("player"), time(), self.db.realm.guildName, self.db.realm.guildChannel, self.db.realm.guildPassword)


	local first, last, target, sender, sendTime, guildName, guildChannel, guildPassword = string.find(msg, self:GetMsgFormatString("KICK"))
	--first, last = string.find(msg, formatString)
	if(first ~= nil) then
		self:Print("Requested to kick "..target.." out of "..guildName.." by "..sender)
		if(sender == nil) then
			return
		end
		if(guildName == self.db.realm.guildName and guildChannel == self.db.realm.guildChannel and guildPassword == self.db.realm.guildPassword) then
			--self:doKick()
			print("Would have kicked "..playerName.." at this point")
		end
		return
	end	
	
	
	
	
end
